# Uses of Enum Class
org.springframework.aot.hint.ExecutableMode

Packages that use ExecutableMode
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.
org.springframework.aot.hint.predicate
Predicate support for runtime hints.

## Uses of ExecutableMode in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return ExecutableMode
Modifier and Type
Method
Description
`ExecutableMode`
ExecutableHint.`getMode()`
Return the mode that applies to this hint.
`static ExecutableMode`
ExecutableMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExecutableMode[]`
ExecutableMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.aot.hint with parameters of type ExecutableMode
Modifier and Type
Method
Description
`static Consumer<ExecutableHint.Builder>`
ExecutableHint.`builtWith(ExecutableMode mode)`
Return a `Consumer` that applies the given `ExecutableMode` to the accepted `ExecutableHint.Builder`.
`ReflectionHints`
ReflectionHints.`registerConstructor(Constructor<?> constructor, ExecutableMode mode)`
Register the need for reflection on the specified `Constructor`, using the specified `ExecutableMode`.
`ReflectionHints`
ReflectionHints.`registerMethod(Method method, ExecutableMode mode)`
Register the need for reflection on the specified `Method`, using the specified `ExecutableMode`.
`TypeHint.Builder`
TypeHint.Builder.`withConstructor(List<TypeReference> parameterTypes, ExecutableMode mode)`
Register the need for reflection on the constructor with the specified parameter types, using the specified `ExecutableMode`.
`TypeHint.Builder`
TypeHint.Builder.`withMethod(String name, List<TypeReference> parameterTypes, ExecutableMode mode)`
Register the need for reflection on the method with the specified name and parameter types, using the specified `ExecutableMode`.
`ExecutableHint.Builder`
ExecutableHint.Builder.`withMode(ExecutableMode mode)`
Specify that the mode is required.

## Uses of ExecutableMode in org.springframework.aot.hint.predicate

Fields in org.springframework.aot.hint.predicate declared as ExecutableMode
Modifier and Type
Field
Description
`protected ExecutableMode`
ReflectionHintsPredicates.ExecutableHintPredicate.`executableMode`